
Summary: psycopg is a PostgreSQL database adapter for Python
Name: psycopg
Version: 1.1.9
Release: alt1
Source0: %name-%version.tar.gz
Patch1: psycopg-logging.patch
Packager: Andrey Orlov <cray@altlinux.org>

License: GNU GPL
Group: Databases
Url: http://www.initd.org/software/psycopg/
BuildRequires: python-devel postgresql-devel egenix-mx-base
Requires: python egenix-mx-base postgresql-libs

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%package doc
Summary: Documentation for psycopg python PostgreSQL database adapter
Group: Databases

%description doc
Documenation and example files for the psycopg python PostgreSQL
database adapter.

%package ZPsycopgDA
Summary: psycopg PostgreSQL database adapter for Zope
Group: System/Servers/ZProducts
Requires: Zope-Modules
Requires: psycopg

%description ZPsycopgDA
ZPsycopgDA is a PostgreSQL database adapter for the Zope application
server. It used psycopg database adapter. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%prep
%setup
%patch1 -p1

%build
%configure --with-python=/usr/bin/python2.2 \
      --with-mxdatetime-includes=/usr/lib/python2.2/site-packages/mx/DateTime/mxDateTime  \
      --with-postgres-includes=/usr/include/pgsql
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.2/site-packages
install -m 555 psycopgmodule.so $RPM_BUILD_ROOT/usr/lib/python2.2/site-packages
mkdir -p $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Products
install -d ZPsycopgDA $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Products/ZPsycopgDA
install -m 422 ZPsycopgDA/*{py,dtml} $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Products/ZPsycopgDA
install -d ZPsycopgDA/icons $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Products/ZPsycopgDA/icons
install -m 422 ZPsycopgDA/icons/* $RPM_BUILD_ROOT/usr/lib/zope/lib/python/Products/ZPsycopgDA/icons

%files
/usr/lib/python2.2/site-packages/*.so

%files doc
%doc AUTHORS  COPYING  CREDITS  FAQ  INSTALL  NEWS  README  RELEASE-1.0  SUCCESS  TODO doc

%files ZPsycopgDA
/usr/lib/zope/lib/python/Products/ZPsycopgDA

%changelog
* Sun Sep 14 2003 Andrey Orlov <cray@altlinux.ru> 1.1.9-alt1
- New release

* Sat Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 1.0.12-alt3
- Declaration of requirements are enhanced

* Mon Dec 02 2002 Andrey Orlov <cray@altlinux.ru> 1.0.12-alt2
- Logging of all queries in debug mode (STUPID_LOG_SEVERITY=DEBUG) was added

* Tue Oct 29 2002 Andrey Orlov <cray@altlinux.ru> 1.0.12-alt1
- Recompile with gcc 3.2.1

* Fri Sep 13 2002 Federico Di Gregorio  <fog@debian.org>
- Release 1.0.12.

- Removed code to support COPY FROM/TO, will be added to new 1.1
  branch to be released next week.

- cursor.c (_mogrify_seq): Fixed memory leak reported by Menno
  Smits (values obtained by calling PySequence_GetItem are *new*
  references!)

* Sun Sep  9 2002 Federico Di Gregorio  <fog@debian.org>

- cursor.c (_psyco_curs_execute): Added skeleton to support COPY
  FROM/TO.

* Fri Sep  6 2002  Federico Di Gregorio  <fog@debian.org>

- configure.in: if libcrypt can't be found we probably are on
  MacOS X: check for libcrypto, as suggested by Aparajita Fishman.

* Tue Sep 3 2002 Federico Di Gregorio  <fog@debian.org>

- ZPsycopgDA/db.py (DB.columns): Applied patch from Dieter Maurer
  to allow the DA-browser to work with mixed case table names.

* Fri Aug 30 2002 Federico Di Gregorio  <fog@debian.org>

- ZPsycopgDA/DA.py (cast_DateTime): Applied patch from Yury to fix
  timestamps (before they were returned with time always set to 0.)

* Mon Aug 26 2002  Federico Di Gregorio  <fog@debian.org>

- Release 1.0.11.1 (to fix a %&$"! bug in ZPsycopgDA not
   accepting psycopg 1.0.11 as a valid version.

- Release 1.0.11.

* Thu Aug 22 2002  Federico Di Gregorio  <fog@debian.org>

- Release 1.0.11pre2.

- cursor.c (_psyco_curs_execute): fixed IntegrityError as reported
  by Andy Dustman. (psyco_curs_execute): converting TypeError to
  ProgrammingError on wrong number of % and/or aeguments.

- doc/examples/integrity.py: added example and check for
  IntegrityError.

* Thu Aug  08 2002  Federico Di Gregorio  <fog@debian.org>

- Release 1.0.11pre1.

* Tue Aug 06 2002  Federico Di Gregorio  <fog@debian.org>

- ZPsycopgDA/DA.py (cast_DateTime): patched as suggested by Tom
  Jenkins; now it shouldwork with time zones too.

* Thu Aug 01 2002  Federico Di Gregorio  <fog@debian.org>

- ZPsycopgDA/DA.py (cast_DateTime): fixed problem with missing
  AM/PM, as reported by Tom Jenkins.

* Tue Jul  23 2002  Federico Di Gregorio  <fog@debian.org>

- Fixed buglets reported by Mike Coleman.

* Mon Jul  22 2002  Federico Di Gregorio  <fog@debian.org>

- Release 1.0.10.

* Sat Jul  14 2002  Federico Di Gregorio  <fog@debian.org>

- Release 1.0.10pre2.

- typeobj.c (psyco_LONGINTEGER_cast): fixed bad segfault by
  INCREFfing Py_None when it is the result of a NULL conversion.

